set.seed(12222)
#install.packages("CEC")
library(CEC)
M = mouseset(n=7000)
plot(M, asp=1, pch = 16, cex=1)

cl<-kmeans(M, centers=3, nstart = 20)
plot(M, col = cl$cluster, asp=1, pch = 16, cex=1)

cl<-kmeans(M, centers=10, nstart = 20)
plot(M, col = cl$cluster, asp=1, pch = 16, cex=1)


cec<-cec(M, 1:10, type="spherical", card.min ="5%")
plot(cec, model = T, asp=1, pch = 20, cex=1)


cec<-cec(M, 3, type="all", card.min ="5%",nstart=10)
plot(cec, asp=1, pch = 20, cex=1)


# Testet with Package 'mclust' version 4.3
#install.packages("mclust")
library(mclust)
mod1 = Mclust(M, G=1:10, modelName='VII')
plot(mod1, asp=1, pch = 16, what = c("classification"),cex=1)

mod2 = Mclust(M, G=3, modelName='VII')
plot(mod2, asp=1, pch = 16, what = c("classification"),cex=1)
